package com.realnet.angulardatatype.Services;
import com.realnet.angulardatatype.Repository.OnetomanyRepository;
import com.realnet.angulardatatype.Entity.Onetomany
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class OnetomanyService {
@Autowired
private OnetomanyRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public Onetomany Savedata(Onetomany data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Onetomany save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Onetomany> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Onetomany> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Onetomany> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Onetomany getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Onetomany update(Onetomany data,Integer id) {
	Onetomany old = Repository.findById(id).get();
old.setName(data.getName());

old.setSupport(data.getSupport());

 

final Onetomany test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
